Skip to main content

Latest Tweets

[ECCO] [SDS] Warning: Installation of newer Nomachine client may prevent connection

Print Friendly, PDF & Email

It has come to our attention that the installation of newer Nomachine clients (from the Nomachine site) breaks compatibility with our NX server installation. After installation, you will not be able to connect. (This is confirmed for Windows and OS X, at least for NX clients 4.3 and higher).

As a work around, please install these older clients (if prompted for a password, enter username "nx" and password "ecco"):

Users may also try the older NX 3.5 clients (will not work on OS X):